Bug 243459 - databases/py-redis: Update to 3.3.11
Summary: databases/py-redis: Update to 3.3.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/andymccurdy/redis-...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-19 23:56 UTC by Kai Knoblich
Modified: 2020-02-04 08:55 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback+
kai: merge-quarterly+


Attachments
py-redis-3.3.11.patch (932 bytes, patch)
2020-01-19 23:56 UTC, Kai Knoblich
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-01-19 23:56:08 UTC
Created attachment 210881 [details]
py-redis-3.3.11.patch

Hi Koobs,

attached is the patch that updates databases/py-redis to 3.3.11.

QA:
~~~
- poudriere on 11.3-RELEASE amd64 for each py27, py35, py36, py37, py38 flavor -> OK

Results of "make test":
~~~~~~~~~~~~~~~~~~~~~~~

Tested with the above mentioned Python flavors:

> ===================== short test summary info =========================
> SKIPPED [1] tests/test_commands.py:1745: Redis version required < 4.0.0
> ================ 436 passed, 1 skipped in 12.06 seconds ===============

The version requirements of all consumers of databases/py-redis also look ok:

> Port                            Source          Remark
> databases/py-fakeredis          N/A             Noted as "redis" in setup.py
> devel/py-cachecontrol           >=2.10.5        setup.py
> devel/py-dj22-django-rq         >=3             setup.py
> devel/py-django-rq              >=3             setup.py
> devel/py-rq                     >=3.0.0         setup.py
> graphics/py-sorl-thumbnail      N/A             Given only as "redis" in README and setup.cfg (testenv)
> net/py-kombu                    >=3.2.0         Given in extra/requirements/extras/redis.txt
> www/py-dj22-django-cacheops     >=2.9.1         setup.py        
> www/py-dj22-django-redis        >=2.10.0        setup.py
> www/py-django-cacheops          >=2.9.1         setup.py
> www/py-django-constance         N/A             Noted as "redis" in setup.py 
> www/py-django-redis             >=2.10.0        setup.py
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-20 02:11:46 UTC
All yours Kai, thank you for the patch.

Please include the following in the commit log message:

Changelog:

  <url to 3.3.11 changelog>

And MFH if its a bugfix release
Comment 2 commit-hook freebsd_committer 2020-01-29 12:39:42 UTC
A commit references this bug:

Author: kai
Date: Wed Jan 29 12:38:53 UTC 2020
New revision: 524542
URL: https://svnweb.freebsd.org/changeset/ports/524542

Log:
  databases/py-redis: Update to 3.3.11

  Changelog:

  https://github.com/andymccurdy/redis-py/blob/3.3.11/CHANGES

  PR:		243459
  Approved by:	koobs (maintainer)
  MFH:		2020Q1 (bug and reliability fixes)

Changes:
  head/databases/py-redis/Makefile
  head/databases/py-redis/distinfo
Comment 3 Kai Knoblich freebsd_committer 2020-01-29 12:44:17 UTC
(In reply to Kubilay Kocak from comment #1)

Thank you for the approval, the patch is committed to /head.

I still need to do a bit more QA regarding the 2020Q1 branch and I think I'll MFH'ing it next week then.
Comment 4 commit-hook freebsd_committer 2020-02-04 08:47:52 UTC
A commit references this bug:

Author: kai
Date: Tue Feb  4 08:47:38 UTC 2020
New revision: 525131
URL: https://svnweb.freebsd.org/changeset/ports/525131

Log:
  MFH: r524542

  databases/py-redis: Update to 3.3.11

  Changelog:

  https://github.com/andymccurdy/redis-py/blob/3.3.11/CHANGES

  PR:		243459
  Approved by:	koobs (maintainer)

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2020Q1/
  branches/2020Q1/databases/py-redis/Makefile
  branches/2020Q1/databases/py-redis/distinfo
Comment 5 Kai Knoblich freebsd_committer 2020-02-04 08:55:16 UTC
MFH is complete, all done!